import React, { Component } from 'react';
import { Image, Dimensions } from 'react-native';

class ImageFullWidth extends Component {
    constructor(props) {
        super(props);
        this.state = {
            imgWidth: 0,
            imgHeight: 0
        }
    }

    componentDidMount() {
        Image.getSize(this.props.uri, (width, height) => {
            const screenWidth = Dimensions.get('window').width;
            const imageWidth = screenWidth / 100 * this.props.width;
            const scaleFactor = width / imageWidth;
            const imageHeight = height / scaleFactor;
            this.setState({ imgWidth: imageWidth, imgHeight: imageHeight });
        })
    }

    render() {
        return (
            <Image
                style={{ width: this.state.imgWidth, height: this.state.imgHeight }}
                source={{ uri: this.props.uri }}
            />
        );
    }
}

export default ImageFullWidth;